Get a specific enrollment
curl --request GET \
--url https://platform.dev.timeback.com/rostering/1.0/enrollments/{sourcedId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://platform.dev.timeback.com/rostering/1.0/enrollments/{sourcedId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.dev.timeback.com/rostering/1.0/enrollments/{sourcedId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"enrollment": {
"sourcedId": "<string>",
"status": "<string>",
"dateLastModified": "2023-11-07T05:31:56Z",
"role": "<string>",
"primary": true,
"user": {
"href": "<string>",
"sourcedId": "<string>",
"type": "academicSession"
},
"class": {
"href": "<string>",
"sourcedId": "<string>",
"type": "academicSession"
},
"school": {
"href": "<string>",
"sourcedId": "<string>",
"type": "academicSession"
},
"metadata": {},
"beginDate": "2023-12-25",
"endDate": "2023-12-25"
}
}Enrollments
Get a specific enrollment
Returns a specific enrollment by sourcedId
GET
/
rostering
/
1.0
/
enrollments
/
{sourcedId}
Get a specific enrollment
Authorizations
OAuth 2.0 client credentials flow. Contact timeback@trilogy.com to request credentials for your application.
Path Parameters
Enrollment ID
Query Parameters
Comma-separated list of fields to include in the response. Available fields: sourcedId, status, dateLastModified, username, enabledUser, givenName, familyName, middleName, email, phone, sms, identifier, roles, grades, agents, userIds, userMasterIdentifier, preferredFirstName, preferredMiddleName, preferredLastName, primaryOrg.sourcedId, primaryOrg.type, userProfiles, userProfiles.profileId, userProfiles.profileType, userProfiles.vendorId, userProfiles.applicationId
Response
Successful operation
Show child attributes
Show child attributes
⌘I